Get Memories
curl --request GET \
--url https://api.memoram.app/api/v1/memory-blobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.memoram.app/api/v1/memory-blobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.memoram.app/api/v1/memory-blobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memoryBlobs": [
{
"id": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"title": "<string>",
"summary": "<string>",
"importance": 123,
"confidence": 123,
"tags": [
"<string>"
],
"tag_ids": [
"<string>"
]
}
],
"next_cursor": "<string>"
}Memory Management
Get Memories
Retrieve a list of memory blobs for a specific user. Requires the user’s ID obtained from an approved access request.
GET
/
memory-blobs
Get Memories
Retrieve a list of memory blobs for a specific user. Requires the user’s ID obtained from an approved access request.
The
content field in the response blobs will be encrypted and needs to be decrypted using the user’s encryption_key.
Authorization
RequiresBearer token authentication using your Developer JWT.Authorizations
JWT token obtained via /auth/token endpoint.
Query Parameters
The unique ID of the user whose memories are being requested.
Maximum number of memory blobs to return.
Cursor for pagination, obtained from a previous response.
Comma-separated list of tag names to filter by.
Search term to filter memories by (searches title, summary, and content).